Skip to main content
GET
Get experience

Authorizations

Authorization
string
header
required

Your brand's secret API key, e.g. Bearer way_sk_live_bhEqcn0i1fRoUEHBPjJkQA. Older Way-Brand-Id + Way-Secret-Key credentials still work: see Legacy authentication.

Path Parameters

brandId
string
required

The brand's ID - must match the brand your API key identifies (or the Way-Brand-Id header when one is sent).

experienceId
string
required

Only results for this experience.

Query Parameters

language
string

Locale for translated content; defaults to the brand's language.

Response

200 - application/json

Get experience.

id
string
required

The unique identifier of the experience.

Example:

"exp-123"

title
string
required

The title of the experience.

Example:

"Scuba Diving in Bali"

slug
string
required

The slug for the experience URL.

Example:

"scuba-diving-bali"

headline
string
required

Headline of the experience.

Example:

"Dive into the crystal-clear waters of Bali"

description
string
required

Description of the experience.

Example:

"An exciting scuba diving adventure in Bali"

vibes
object[]
required

Vibes associated with the experience.

category
object
required

Category of the experience.

location
object
required

Location details.

maxParticipantsCount
number
required

Maximum number of participants.

Example:

10

sessionDurationMinutes
number
required

Session duration in minutes.

Example:

120

currency
string
required

Currency of the experience.

Example:

"USD"

coverPicture
object
required

Cover picture of the experience.

pictures
object[]
required

Additional pictures.

medias
object[]
required

Media assets.

bookingAvailabilityMode
string
required

Booking availability mode.

Example:

"instant"

providedItems
string[]
required

Provided items.

Example:
healthAndSafety
string
required

Health and safety measures.

Example:

"Life jacket required"

isExclusive
boolean
required

Indicates if the experience is exclusive.

Example:

true

isBookable
boolean
required

Indicates if the experience is bookable.

Example:

true

isUnlisted
boolean
required

Indicates if the experience is unlisted.

Example:

false

type
string
required

Type of the experience.

Example:

"adventure"

hostedBy
object
required

Host of the experience.

paymentMethods
string[]
required

Available payment methods.

Example:
priceTiers
string[]
required

Available price tiers.

Example:
taxes
string[]
required

Taxes applied to the experience.

Example:
integrationMeta
string[]
required

Integration metadata.

Example:
ratings
object

Ratings of the experience.

Example:
externalField
object

External field details.

Example:
minimumRequiredToBook
object

Minimum participants required for booking.

Example:

2

maximumAllowedToBook
object

Maximum participants allowed to book.

Example:

5

displayedCapacity
object

Displayed capacity.

Example:

20

cancellationPolicyId
object

Cancellation policy ID.

Example:

"policy-123"